/* Before adding any unnecessary CSS rules, please check out the Snap documentation at https://bit.ly/3PqSii8. */
/* Override Styles */
/*
.service-style-1 h2 {margin: 10px 0;}
.ry-menu .ry-nav li .dropdown-toggle {padding: 30px 0;}
ul#quick-links li a {display: block;width: 100%;}
#in-services-3 ul li a {margin-left: 0px;margin-top:30px}
*/
[x-cloak] { display: none !important; }
.promotions img { min-width: 22rem; max-width:22rem;}
#in-services-style-2.squares .ry-each:before, #in-services-style-2.squares .ry-each img {border-radius: 0;}
.mobile-menu-icon a{display: flex;height: 100%;width: 100%;justify-content: center;align-items: center;}
body.fancybox-active .ry-sticky-menu.fixed {z-index: 9999;}
.testimonials-swiper p,
.testimonials-swiper-2 p{
overflow: hidden;
display: -webkit-box;
-webkit-box-orient: vertical;
-webkit-line-clamp: 4
}

.homepage-swiper .swiper-button-next, .homepage-swiper .swiper-button-prev {
  display: none !important;
}
.service-hover {
    position: absolute;
    z-index: 9;
    opacity: 0;
    transition: opacity 0.3s ease;
    text-align: center;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    color: white;
}

/* Show service-hover when parent with data-target is hovered */
[data-target]:hover .service-hover {
    opacity: 1;
}

/* Apply the overlay effect when parent is hovered */
[data-target]:hover .service-hover::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    z-index: -1; /* Make sure it's behind the text */
}
.mm-navbar {
	color: #ffffff;
}

/* HP Edits - Started <August 12, 2026> */

/**/
	/*fonts*/
	/*btns*/

/*Modal*/
/* Header */
	/**/
.snap-mobile-menu {
    background: white;
}

mm-burger {
    color: #374151; /*text-gray-700*/
}
.ry-menu .ry-nav li.primary .caret {
    border-color: #374151; /*text-gray-700*/
}

.ry-menu .ry-nav li.primary:hover .caret {
    border-color: var(--color-secondary-background);
}
.with-gradient:before {
    background-image: linear-gradient(to bottom, white, transparent, #000000a8);
}
.ry-menu .ry-nav li.dropdown .dropdown-menu li {
    background: var(--color-primary-background);
    color: var(--color-primary-text);
}

body[data-page-name="index"] #navigation {
    position: absolute;
}

.cta-btn:first-child {
    background: var(--color-primary-background);
}

.cta-btn:first-child:hover {
    background: transparent !important;
}
/* Hero */
	/**/
#hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
    height: 100vh !important;
    object-fit: cover;
}
#hp-slider .swiper-pagination-bullet {
    background-color: white;
}

.slider-info {
    min-height: fit-content;
}
/* CTA */
	/**/
/* Welcome */
	/**/
.group-bg .background-section, .group-bg .background-section img {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    object-fit: cover;
    z-index: 1;
}

#welcome-wrap.style-1 .module-22 .ry-left img {
    border: none;
    margin: 0 auto;
}

#welcome-wrap.style-1 .module-22 .ry-right {
    width: 30%;
    position: relative;
}

#welcome-wrap.style-1 {
    padding: 8em 0;
}
.vs-ads {
  width: 24%;
  justify-content: center;
  display: flex;
  margin: auto;
  max-width: 250px;
}
#welcome-wrap.style-1 .module-22 .ry-right {
  width: 50%;
}
/* Services */
	/**/
#section-hp-services {
    position: relative;
    z-index: 1;
}
/* Meet the Team */
	/**/
/* Insurance */
	/**/
#hp-insurance-1 {
    background: white;
    padding-top: 16vh;
    position: relative;
}

#hp-insurance-1::before {
	content:"";
    position: absolute;
	top: 0;
	left: 0;
	height: 100%;
	width:100%;
    background: url(https://s3.amazonaws.com/static.organiclead.com/Site-af512dd2-cf34-4d45-b4d1-0ce77b3f9b8f/backgrounds/CherryOpto_insurances_bg.png) center bottom no-repeat;
	background-size: cover;
}

#hp-insurance-1 .overflow-hidden {
    padding: 0;
}

#hp-insurance-1 .swiper-slide {
    background: none;
}
/* Brand */
	/**/
.brand-4-swiper-button-next, .brand-4-swiper-button-prev{
  background-color: var(--color-primary-background);
}

.brands-swiper-4 img {
    height: 100px;
}
/* Request Appointment */
	/**/
/* Testimonials */
	/**/
.module-testimonials.style-2::before {
    opacity: 0;
    height: 0;
}

.testimonials-swiper p, .testimonials-swiper-2 p {
    color: #666;
}

.module-testimonials.style-2 .comments-symbol {
    font-family: 'EB Garamond';
}

.module-testimonials.style-2 .p-4:last-child {
    padding: 0;
}
/* Footer */
	/**/
#ry-footer-3 .footer-contents::before {
    opacity: 0;
}

#ry-footer-3::before {
    opacity: 1;
}
/*Media Queries*/
	/**/
@media (min-width: 768px) {
    .slider-info-center-bottom {
        bottom: 5%;
    }
}

@media (max-width: 1336px) {
    #welcome-wrap.style-1 .module-22 .ry-left {
        padding-right: 0vw;
    }
    #welcome-wrap.style-1 .module-22 .ry-left img {
        width: 100%;
    }
}

@media (max-width: 1024px) {
	body[data-page-name="index"] #navigation {
		position: relative;
	}
    #welcome-wrap.style-1 .module-22 .ry-left img {
        width: 50%;
        border-radius: 0;
    }
    #welcome-wrap.style-1 .module-22 .ry-left {
        margin-top: 6.6vh;
    }
    #welcome-wrap.style-1 .module-22 .ry-content {
        gap: 60px;
    }
    #welcome-wrap.style-1 .module-22 .ry-right {
        margin-bottom: 0;
    }
    #hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
        height: 100% !important;
    }
}

@media (max-width:767px) {
    .with-gradient:before {
        opacity: 0;
    }
}
/* End - HP Edits*/

div#contents .pagination li {
    list-style: none !important;
}


div#ry-footer-3 a:hover {
    color: #de0323;
}

.contact-template.style-2 .ry-flex .contact-details a:hover{
      color:red;
}
  
    
.contact-template.style-2 .ry-flex .contact-details .inner-flex .ry-each.phone .ry-text a span.span-2:hover{
      color:red;
}

/* PROMOTIONS */

@media (max-width:1024px) {
    div.promotions img {
		max-width: 250px;
		width: 100% !important;
		margin: auto;
		min-width: 250px;
	}

	.promotions h3, .promotions p {
		text-align: center !important;
	}

	.promotions p.mb-2.max-w-fit.bg-primary-background.p-2.text-sm.capitalize.text-primary-text {
		margin: auto;
	}

	div.promotions .pr-10 {
		padding: 0;
	}

	.promotions a.ry-btn.ry-btn-primary {
    margin: auto;
}
}


/* END PROMOTIONS */

